Bug 8521 - winbindd cache timeout expiry test was reversed.
winbindd cache timeout expiry test was reversed.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-10-12 16:20 UTC by Jeremy Allison
Modified: 2011-10-15 17:50 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 3.6.1 (960 bytes, patch)
2011-10-12 19:17 UTC, Jeremy Allison
ambi: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-10-12 16:20:58 UTC
Reported by Micha Lenk <micha@lenk.info>.

Inside wcache_fetch_ndr() when we compare the current time to the expiration time, we reverse the comparison (i.e. we report the entry has timed out when it's within cache time).

Patch to follow.
Comment 1 Christian Ambach 2011-10-12 16:59:04 UTC
Ups, my bad when I added the timeout logic to the cache.
Comment 2 Jeremy Allison 2011-10-12 17:01:53 UTC
No worried Christian, everyone makes mistakes sometimes.

Besides, if you felt *really* bad about it you'd write a regression test :-) :-) :-).
Comment 3 Jeremy Allison 2011-10-12 19:17:57 UTC
Created attachment 6989 [details]
git-am fix for 3.6.1

Christian please review for 3.6.1.
Comment 4 Jeremy Allison 2011-10-12 19:44:21 UTC
Comment on attachment 6989 [details]
git-am fix for 3.6.1

Belt and braces :-)
Comment 5 Karolin Seeger 2011-10-13 18:14:30 UTC
Please review this patch as soon as possible (otherwise we do need to delay 3.6.1 again as this one is a blocker).

Thanks!
Comment 6 Stefan Metzmacher 2011-10-14 06:26:01 UTC
Comment on attachment 6989 [details]
git-am fix for 3.6.1

Looks good
Comment 7 Stefan Metzmacher 2011-10-14 06:26:26 UTC
Karolin, please pick for the release
Comment 8 Christian Ambach 2011-10-14 09:12:46 UTC
Comment on attachment 6989 [details]
git-am fix for 3.6.1

patch looks good
Comment 9 Karolin Seeger 2011-10-15 17:50:48 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!